.layout-row {
    display: flex;
    flex-direction: row;

    background: none;
    border: none;
    padding: 0;
    margin: 0;

    // main-axis-alignment
    &.main-axis-alignment-start {
        justify-content: flex-start;
    }

    &.main-axis-alignment-center {
        justify-content: center;
    }

    &.main-axis-alignment-end {
        justify-content: flex-end;
    }

    &.main-axis-alignment-space-around {
        justify-content: space-around;
    }

    &.main-axis-alignment-space-between {
        justify-content: space-between;
    }

    &.main-axis-alignment-space-evenly {
        justify-content: space-evenly;
    }

    // cross-axis-alignment
    &.cross-axis-alignment-start {
        align-items: flex-start;
    }

    &.cross-axis-alignment-center {
        align-items: center;
    }

    &.cross-axis-alignment-end {
        align-items: flex-end;
    }

    &.cross-axis-alignment-baseline {
        align-items: baseline;
    }

    &.cross-axis-alignment-stretch {
        align-items: stretch;
    }

    // main axis size
    &.main-axis-size-min {
        width: fit-content;
    }

    &.main-axis-size-max {
        width: 100%;
    }

    // cross axis size
    &.cross-axis-size-min {
        height: fit-content;
    }

    &.cross-axis-size-max {
        height: 100%;
    }

    &.item-margin-sm {
        > * {
            margin: 0.25rem 0 0.25rem 0.25rem;
        }

        > :last-child {
            margin-right: 0.25rem;
        }
    }

    &.item-margin-md {
        > * {
            margin: 0.5rem 0 0.5rem 0.5rem;
        }

        > :last-child {
            margin-right: 0.5rem;
        }
    }

    &.item-margin-lg {
        > * {
            margin: 1rem 0 1rem 1rem;
        }

        > :last-child {
            margin-right: 1rem;
        }
    }
}
